body {
    height: 100vh;
    margin: 0;
    background-color: aliceblue;
    overflow: hidden;
    /* cursor: none; */
    position: relative;
    margin: 0;
    overflow-x: hidden;
    color: #3e5569;
    background: #fff;
}

/* .cursor {
    width: 30px;
    transition: all ease;
} */
#main-wrapper {
    width: 100%;
    overflow: hidden;
}

.topbar {
    position: relative;
    z-index: 50;
    transition: .2s ease-in;
    box-shadow: 1px 0 7px rgb(0 0 0 / 5%);
    background: #fff;
    height: 64px;
}

#main-wrapper[data-layout=horizontal] .topbar .navbar-collapse[data-navbarbg=skin1],
#main-wrapper[data-layout=horizontal] .topbar[data-navbarbg=skin1],
#main-wrapper[data-layout=vertical] .topbar .navbar-collapse[data-navbarbg=skin1],
#main-wrapper[data-layout=vertical] .topbar[data-navbarbg=skin1] {
    background: #2962ff;
}

#main-wrapper[data-layout=vertical][data-header-position=fixed] .topbar {
    position: fixed;
    width: 100%;
}

.page-wrapper .page-breadcrumb {
    margin: 0 auto;
    max-width: unset;
}

.page-wrapper>.container-fluid,
.page-wrapper>.container-lg,
.page-wrapper>.container-md,
.page-wrapper>.container-sm,
.page-wrapper>.container-xl,
.page-wrapper>.container-xxl {
    max-width: unset;
}

.card-body {
    height: 80vh;
    background-color: #000;
    overflow: auto;
    position: relative;
}

#viewlog {
    height: 100%;
}

#viewlog div {
    color: #fff;
}

.item-log {
    margin-bottom: 10px;
}

.item-log .icon {
    padding: 2.5px 5px;
    margin-left: 5px;
    border-radius: 5px;
}

.item-log .icon.icon-green {
    background-color: green;
}

.sidebar-item.active {
    background: #4fc3f7;
}

.sidebar-item.active a i,
.sidebar-item.active a span {
    color: #fff !important;
}

.page-title {
    margin-right: 15px;
}

select {
    height: 30px;
    border-radius: 5px;
    padding: 0 15px;
}

.page-breadcrumb .col-8 {
    display: flex;
    align-items: center;
}

.text-right {
    text-align: right;
}

.color-green {
    color: green;
}

.card {
    margin-bottom: 0;
}

.loader,
.loader:before,
.loader:after {
    background: #ffffff;
    -webkit-animation: load1 1s infinite ease-in-out;
    animation: load1 1s infinite ease-in-out;
    width: 1em;
    height: 4em;
}

.loader {
    color: #ffffff;
    text-indent: -9999em;
    margin: 88px auto;
    position: relative;
    font-size: 11px;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

.loader:before,
.loader:after {
    position: absolute;
    top: 0;
    content: '';
}

.loader:before {
    left: -1.5em;
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.loader:after {
    left: 1.5em;
}

@-webkit-keyframes load1 {

    0%,
    80%,
    100% {
        box-shadow: 0 0;
        height: 4em;
    }

    40% {
        box-shadow: 0 -2em;
        height: 5em;
    }
}

@keyframes load1 {

    0%,
    80%,
    100% {
        box-shadow: 0 0;
        height: 4em;
    }

    40% {
        box-shadow: 0 -2em;
        height: 5em;
    }
}

.loadding {
    height: 100%;
    display: flex;
    align-items: center;
}

#refesh {
    position: absolute;
    top: 0;
    right: 0;
}

.item-log-space {
    white-space: pre;
}